/* config.h.  Generated automatically by configure.  */
/* config.h.in.  Generated automatically from configure.in by autoheader.  */
#ifndef INCLUDED_config_h
#define INCLUDED_config_h
/*
 * IRC - Internet Relay Chat, include/config.h
 * Copyright (C) 2000 Kevin L. Mitchell <klmitch@mit.edu>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: config.h.in,v 1.1.1.1 2003/02/01 19:52:02 progs Exp $
 */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef gid_t */

/* Define if system calls automatically restart after interruption
   by a signal.  */
#define HAVE_RESTARTABLE_SYSCALLS 1

/* Define to `unsigned' if <sys/types.h> doesn't define.  */
/* #undef size_t */

/* Define if you have the ANSI C header files.  */
#define STDC_HEADERS 1

/* Define if you can safely include both <sys/time.h> and <time.h>.  */
#define TIME_WITH_SYS_TIME 1

/* Define if your <sys/time.h> declares struct tm.  */
/* #undef TM_IN_SYS_TIME */

/* Define to `int' if <sys/types.h> doesn't define.  */
/* #undef uid_t */

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
/* #undef WORDS_BIGENDIAN */

/* Define one of these, depending on wether you have
 * POSIX, BSD or SYSV non-blocking stuff
 */
#define NBLOCK_POSIX 1
/* #undef NBLOCK_BSD */
/* #undef NBLOCK_SYSV */

/* Define on of these, depending on wether you have
 * POSIX, BSD or SYSV signal handling
 */
#define POSIX_SIGNALS 1
/* #undef BSD_RELIABLE_SIGNALS */
/* #undef SYSV_UNRELIABLE_SIGNALS */

/* Define these to be unsigned integral internal types,
 * of respecitvely 2 and 4 bytes in size, when not already
 * defined in <sys/types.h>, <stdlib.h> or <stddef.h>
 */
/* #undef u_int16_t */
/* #undef u_int32_t */

/* The number of bytes in a int.  */
#define SIZEOF_INT 4

/* The number of bytes in a long.  */
#define SIZEOF_LONG 4

/* The number of bytes in a short.  */
#define SIZEOF_SHORT 2

/* The number of bytes in a void *.  */
#define SIZEOF_VOID_P 4

/* Define if you have the getrusage function.  */
#define HAVE_GETRUSAGE 1

/* Define if you have the kqueue function.  */
/* #undef HAVE_KQUEUE */

/* Define if you have the setrlimit function.  */
#define HAVE_SETRLIMIT 1

/* Define if you have the times function.  */
#define HAVE_TIMES 1

/* Define if you have the <poll.h> header file.  */
#define HAVE_POLL_H 1

/* Define if you have the <sys/devpoll.h> header file.  */
/* #undef HAVE_SYS_DEVPOLL_H */

/* Define if you have the <sys/event.h> header file.  */
/* #undef HAVE_SYS_EVENT_H */

/* Define if you have the nsl library (-lnsl).  */
/* #undef HAVE_LIBNSL */

/* Define if you have the socket library (-lsocket).  */
/* #undef HAVE_LIBSOCKET */

/* Specify whether or not to use poll() */
#define USE_POLL 

/* Enable debugging code */
#define DEBUGMODE 

/* Disable assertions */
/* #undef NDEBUG */

/* Force inlining for a few critical functions */
#define FORCEINLINE 

/* Define to enable the /dev/poll engine */
/* #undef USE_DEVPOLL */

/* Define to enable the kqueue engine */
/* #undef USE_KQUEUE */

/* Domain name to be used for some statistics gathering */
#define DOMAINNAME "*debian.rdl.fr"

/* Path to executable for restarts */
#define SPATH "/home/rom1/ircd/hub/bin/ircd"

/* Path to data directory */
#define DPATH "/home/rom1/ircd/hub/lib"

/* Configuration file name */
#define CPATH "ircd.conf"

/* Path to debugging log file */
#define LPATH "ircd.log"

/* Maximum number of network connections */
#define MAXCONNECTIONS 1020

#endif /* INCLUDED_config_h */
